| #! /bin/sh |
| # Generated by configure. |
| # Run this file to recreate the current configuration. |
| # Compiler output produced by configure, useful for debugging |
| # configure, is in config.log if it exists. |
| |
| debug=false |
| ac_cs_recheck=false |
| ac_cs_silent=false |
| SHELL=${CONFIG_SHELL-/bin/sh} |
| ## --------------------- ## |
| ## M4sh Initialization. ## |
| ## --------------------- ## |
| |
| # Be Bourne compatible |
| if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then |
| emulate sh |
| NULLCMD=: |
| # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which |
| # is contrary to our usage. Disable this feature. |
| alias -g '${1+"$@"}'='"$@"' |
| elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then |
| set -o posix |
| fi |
| DUALCASE=1; export DUALCASE # for MKS sh |
| |
| # Support unset when possible. |
| if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then |
| as_unset=unset |
| else |
| as_unset=false |
| fi |
| |
| |
| # Work around bugs in pre-3.0 UWIN ksh. |
| $as_unset ENV MAIL MAILPATH |
| PS1='$ ' |
| PS2='> ' |
| PS4='+ ' |
| |
| # NLS nuisances. |
| for as_var in \ |
| LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \ |
| LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \ |
| LC_TELEPHONE LC_TIME |
| do |
| if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then |
| eval $as_var=C; export $as_var |
| else |
| $as_unset $as_var |
| fi |
| done |
| |
| # Required to use basename. |
| if expr a : '\(a\)' >/dev/null 2>&1; then |
| as_expr=expr |
| else |
| as_expr=false |
| fi |
| |
| if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then |
| as_basename=basename |
| else |
| as_basename=false |
| fi |
| |
| |
| # Name of the executable. |
| as_me=`$as_basename "$0" || |
| $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \ |
| X"$0" : 'X\(//\)$' \| \ |
| X"$0" : 'X\(/\)$' \| \ |
| . : '\(.\)' 2>/dev/null || |
| echo X/"$0" | |
| sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; } |
| /^X\/\(\/\/\)$/{ s//\1/; q; } |
| /^X\/\(\/\).*/{ s//\1/; q; } |
| s/.*/./; q'` |
| |
| |
| # PATH needs CR, and LINENO needs CR and PATH. |
| # Avoid depending upon Character Ranges. |
| as_cr_letters='abcdefghijklmnopqrstuvwxyz' |
| as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ' |
| as_cr_Letters=$as_cr_letters$as_cr_LETTERS |
| as_cr_digits='0123456789' |
| as_cr_alnum=$as_cr_Letters$as_cr_digits |
| |
| # The user is always right. |
| if test "${PATH_SEPARATOR+set}" != set; then |
| echo "#! /bin/sh" >conf$$.sh |
| echo "exit 0" >>conf$$.sh |
| chmod +x conf$$.sh |
| if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then |
| PATH_SEPARATOR=';' |
| else |
| PATH_SEPARATOR=: |
| fi |
| rm -f conf$$.sh |
| fi |
| |
| |
| as_lineno_1=$LINENO |
| as_lineno_2=$LINENO |
| as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null` |
| test "x$as_lineno_1" != "x$as_lineno_2" && |
| test "x$as_lineno_3" = "x$as_lineno_2" || { |
| # Find who we are. Look in the path if we contain no path at all |
| # relative or not. |
| case $0 in |
| *[\\/]* ) as_myself=$0 ;; |
| *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR |
| for as_dir in $PATH |
| do |
| IFS=$as_save_IFS |
| test -z "$as_dir" && as_dir=. |
| test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break |
| done |
| |
| ;; |
| esac |
| # We did not find ourselves, most probably we were run as `sh COMMAND' |
| # in which case we are not to be found in the path. |
| if test "x$as_myself" = x; then |
| as_myself=$0 |
| fi |
| if test ! -f "$as_myself"; then |
| { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5 |
| echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;} |
| { (exit 1); exit 1; }; } |
| fi |
| case $CONFIG_SHELL in |
| '') |
| as_save_IFS=$IFS; IFS=$PATH_SEPARATOR |
| for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH |
| do |
| IFS=$as_save_IFS |
| test -z "$as_dir" && as_dir=. |
| for as_base in sh bash ksh sh5; do |
| case $as_dir in |
| /*) |
| if ("$as_dir/$as_base" -c ' |
| as_lineno_1=$LINENO |
| as_lineno_2=$LINENO |
| as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null` |
| test "x$as_lineno_1" != "x$as_lineno_2" && |
| test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then |
| $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; } |
| $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; } |
| CONFIG_SHELL=$as_dir/$as_base |
| export CONFIG_SHELL |
| exec "$CONFIG_SHELL" "$0" ${1+"$@"} |
| fi;; |
| esac |
| done |
| done |
| ;; |
| esac |
| |
| # Create $as_me.lineno as a copy of $as_myself, but with $LINENO |
| # uniformly replaced by the line number. The first 'sed' inserts a |
| # line-number line before each line; the second 'sed' does the real |
| # work. The second script uses 'N' to pair each line-number line |
| # with the numbered line, and appends trailing '-' during |
| # substitution so that $LINENO is not a special case at line end. |
| # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the |
| # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-) |
| sed '=' <$as_myself | |
| sed ' |
| N |
| s,$,-, |
| : loop |
| s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3, |
| t loop |
| s,-$,, |
| s,^['$as_cr_digits']*\n,, |
| ' >$as_me.lineno && |
| chmod +x $as_me.lineno || |
| { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5 |
| echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;} |
| { (exit 1); exit 1; }; } |
| |
| # Don't try to exec as it changes $[0], causing all sort of problems |
| # (the dirname of $[0] is not the place where we might find the |
| # original and so on. Autoconf is especially sensible to this). |
| . ./$as_me.lineno |
| # Exit status is that of the last command. |
| exit |
| } |
| |
| |
| case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in |
| *c*,-n*) ECHO_N= ECHO_C=' |
| ' ECHO_T=' ' ;; |
| *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;; |
| *) ECHO_N= ECHO_C='\c' ECHO_T= ;; |
| esac |
| |
| if expr a : '\(a\)' >/dev/null 2>&1; then |
| as_expr=expr |
| else |
| as_expr=false |
| fi |
| |
| rm -f conf$$ conf$$.exe conf$$.file |
| echo >conf$$.file |
| if ln -s conf$$.file conf$$ 2>/dev/null; then |
| # We could just check for DJGPP; but this test a) works b) is more generic |
| # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04). |
| if test -f conf$$.exe; then |
| # Don't use ln at all; we don't have any links |
| as_ln_s='cp -p' |
| else |
| as_ln_s='ln -s' |
| fi |
| elif ln conf$$.file conf$$ 2>/dev/null; then |
| as_ln_s=ln |
| else |
| as_ln_s='cp -p' |
| fi |
| rm -f conf$$ conf$$.exe conf$$.file |
| |
| if mkdir -p . 2>/dev/null; then |
| as_mkdir_p=: |
| else |
| test -d ./-p && rmdir ./-p |
| as_mkdir_p=false |
| fi |
| |
| as_executable_p="test -f" |
| |
| # Sed expression to map a string onto a valid CPP name. |
| as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'" |
| |
| # Sed expression to map a string onto a valid variable name. |
| as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'" |
| |
| |
| # IFS |
| # We need space, tab and new line, in precisely that order. |
| as_nl=' |
| ' |
| IFS=" $as_nl" |
| |
| # CDPATH. |
| $as_unset CDPATH |
| |
| exec 6>&1 |
| |
| # Open the log real soon, to keep \$[0] and so on meaningful, and to |
| # report actual input values of CONFIG_FILES etc. instead of their |
| # values after options handling. Logging --version etc. is OK. |
| exec 5>>config.log |
| { |
| echo |
| sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX |
| ## Running $as_me. ## |
| _ASBOX |
| } >&5 |
| cat >&5 <<_CSEOF |
| |
| This file was extended by strace $as_me 4.5.12, which was |
| generated by GNU Autoconf 2.59. Invocation command line was |
| |
| CONFIG_FILES = $CONFIG_FILES |
| CONFIG_HEADERS = $CONFIG_HEADERS |
| CONFIG_LINKS = $CONFIG_LINKS |
| CONFIG_COMMANDS = $CONFIG_COMMANDS |
| $ $0 $@ |
| |
| _CSEOF |
| echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5 |
| echo >&5 |
| config_files=" Makefile" |
| config_headers=" config.h" |
| config_commands=" depfiles" |
| |
| ac_cs_usage="\ |
| \`$as_me' instantiates files from templates according to the |
| current configuration. |
| |
| Usage: $0 [OPTIONS] [FILE]... |
| |
| -h, --help print this help, then exit |
| -V, --version print version number, then exit |
| -q, --quiet do not print progress messages |
| -d, --debug don't remove temporary files |
| --recheck update $as_me by reconfiguring in the same conditions |
| --file=FILE[:TEMPLATE] |
| instantiate the configuration file FILE |
| --header=FILE[:TEMPLATE] |
| instantiate the configuration header FILE |
| |
| Configuration files: |
| $config_files |
| |
| Configuration headers: |
| $config_headers |
| |
| Configuration commands: |
| $config_commands |
| |
| Report bugs to <bug-autoconf@gnu.org>." |
| ac_cs_version="\ |
| strace config.status 4.5.12 |
| configured by ./configure, generated by GNU Autoconf 2.59, |
| with options \"'--prefix=/data/' '--build=arm-unknown-linux-gnu' 'CFLAGS=-I/android/device/system/kernel_headers/' 'build_alias=arm-unknown-linux-gnu'\" |
| |
| Copyright (C) 2003 Free Software Foundation, Inc. |
| This config.status script is free software; the Free Software Foundation |
| gives unlimited permission to copy, distribute and modify it." |
| srcdir=. |
| INSTALL="/usr/bin/install -c" |
| # If no file are specified by the user, then we need to provide default |
| # value. By we need to know if files were specified by the user. |
| ac_need_defaults=: |
| while test $# != 0 |
| do |
| case $1 in |
| --*=*) |
| ac_option=`expr "x$1" : 'x\([^=]*\)='` |
| ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'` |
| ac_shift=: |
| ;; |
| -*) |
| ac_option=$1 |
| ac_optarg=$2 |
| ac_shift=shift |
| ;; |
| *) # This is not an option, so the user has probably given explicit |
| # arguments. |
| ac_option=$1 |
| ac_need_defaults=false;; |
| esac |
| |
| case $ac_option in |
| # Handling of the options. |
| -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r) |
| ac_cs_recheck=: ;; |
| --version | --vers* | -V ) |
| echo "$ac_cs_version"; exit 0 ;; |
| --he | --h) |
| # Conflict between --help and --header |
| { { echo "$as_me:$LINENO: error: ambiguous option: $1 |
| Try \`$0 --help' for more information." >&5 |
| echo "$as_me: error: ambiguous option: $1 |
| Try \`$0 --help' for more information." >&2;} |
| { (exit 1); exit 1; }; };; |
| --help | --hel | -h ) |
| echo "$ac_cs_usage"; exit 0 ;; |
| --debug | --d* | -d ) |
| debug=: ;; |
| --file | --fil | --fi | --f ) |
| $ac_shift |
| CONFIG_FILES="$CONFIG_FILES $ac_optarg" |
| ac_need_defaults=false;; |
| --header | --heade | --head | --hea ) |
| $ac_shift |
| CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg" |
| ac_need_defaults=false;; |
| -q | -quiet | --quiet | --quie | --qui | --qu | --q \ |
| | -silent | --silent | --silen | --sile | --sil | --si | --s) |
| ac_cs_silent=: ;; |
| |
| # This is an error. |
| -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1 |
| Try \`$0 --help' for more information." >&5 |
| echo "$as_me: error: unrecognized option: $1 |
| Try \`$0 --help' for more information." >&2;} |
| { (exit 1); exit 1; }; } ;; |
| |
| *) ac_config_targets="$ac_config_targets $1" ;; |
| |
| esac |
| shift |
| done |
| |
| ac_configure_extra_args= |
| |
| if $ac_cs_silent; then |
| exec 6>/dev/null |
| ac_configure_extra_args="$ac_configure_extra_args --silent" |
| fi |
| |
| if $ac_cs_recheck; then |
| echo "running /bin/sh ./configure " '--prefix=/data/' '--build=arm-unknown-linux-gnu' 'CFLAGS=-I/android/device/system/kernel_headers/' 'build_alias=arm-unknown-linux-gnu' $ac_configure_extra_args " --no-create --no-recursion" >&6 |
| exec /bin/sh ./configure '--prefix=/data/' '--build=arm-unknown-linux-gnu' 'CFLAGS=-I/android/device/system/kernel_headers/' 'build_alias=arm-unknown-linux-gnu' $ac_configure_extra_args --no-create --no-recursion |
| fi |
| |
| # |
| # INIT-COMMANDS section. |
| # |
| |
| AMDEP_TRUE="" ac_aux_dir="." |
| |
| for ac_config_target in $ac_config_targets |
| do |
| case "$ac_config_target" in |
| # Handling of arguments. |
| "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;; |
| "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;; |
| "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;; |
| *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5 |
| echo "$as_me: error: invalid argument: $ac_config_target" >&2;} |
| { (exit 1); exit 1; }; };; |
| esac |
| done |
| |
| # If the user did not use the arguments to specify the items to instantiate, |
| # then the envvar interface is used. Set only those that are not. |
| # We use the long form for the default assignment because of an extremely |
| # bizarre bug on SunOS 4.1.3. |
| if $ac_need_defaults; then |
| test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files |
| test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers |
| test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands |
| fi |
| |
| # Have a temporary directory for convenience. Make it in the build tree |
| # simply because there is no reason to put it here, and in addition, |
| # creating and moving files from /tmp can sometimes cause problems. |
| # Create a temporary directory, and hook for its removal unless debugging. |
| $debug || |
| { |
| trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0 |
| trap '{ (exit 1); exit 1; }' 1 2 13 15 |
| } |
| |
| # Create a (secure) tmp directory for tmp files. |
| |
| { |
| tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` && |
| test -n "$tmp" && test -d "$tmp" |
| } || |
| { |
| tmp=./confstat$$-$RANDOM |
| (umask 077 && mkdir $tmp) |
| } || |
| { |
| echo "$me: cannot create a temporary directory in ." >&2 |
| { (exit 1); exit 1; } |
| } |
| |
| |
| # |
| # CONFIG_FILES section. |
| # |
| |
| # No need to generate the scripts if there are no CONFIG_FILES. |
| # This happens for instance when ./config.status config.h |
| if test -n "$CONFIG_FILES"; then |
| # Protect against being on the right side of a sed subst in config.status. |
| sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g; |
| s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF |
| s,@SHELL@,/bin/sh,;t t |
| s,@PATH_SEPARATOR@,:,;t t |
| s,@PACKAGE_NAME@,strace,;t t |
| s,@PACKAGE_TARNAME@,strace,;t t |
| s,@PACKAGE_VERSION@,4.5.12,;t t |
| s,@PACKAGE_STRING@,strace 4.5.12,;t t |
| s,@PACKAGE_BUGREPORT@,,;t t |
| s,@exec_prefix@,${prefix},;t t |
| s,@prefix@,/data/,;t t |
| s,@program_transform_name@,s,x,x,,;t t |
| s,@bindir@,${exec_prefix}/bin,;t t |
| s,@sbindir@,${exec_prefix}/sbin,;t t |
| s,@libexecdir@,${exec_prefix}/libexec,;t t |
| s,@datadir@,${prefix}/share,;t t |
| s,@sysconfdir@,${prefix}/etc,;t t |
| s,@sharedstatedir@,${prefix}/com,;t t |
| s,@localstatedir@,${prefix}/var,;t t |
| s,@libdir@,${exec_prefix}/lib,;t t |
| s,@includedir@,/usr/include,;t t |
| s,@oldincludedir@,/usr/include,;t t |
| s,@infodir@,${prefix}/info,;t t |
| s,@mandir@,${prefix}/man,;t t |
| s,@build_alias@,arm-unknown-linux-gnu,;t t |
| s,@host_alias@,,;t t |
| s,@target_alias@,,;t t |
| s,@DEFS@,-DHAVE_CONFIG_H,;t t |
| s,@ECHO_C@,,;t t |
| s,@ECHO_N@,-n,;t t |
| s,@ECHO_T@,,;t t |
| s,@LIBS@,,;t t |
| s,@INSTALL_PROGRAM@,${INSTALL},;t t |
| s,@INSTALL_SCRIPT@,${INSTALL},;t t |
| s,@INSTALL_DATA@,${INSTALL} -m 644,;t t |
| s,@CYGPATH_W@,echo,;t t |
| s,@PACKAGE@,strace,;t t |
| s,@VERSION@,4.5.12,;t t |
| s,@ACLOCAL@,${SHELL} /android/sandbox/mkf/funpack/strace-4.5.12/missing --run aclocal-1.9,;t t |
| s,@AUTOCONF@,${SHELL} /android/sandbox/mkf/funpack/strace-4.5.12/missing --run autoconf,;t t |
| s,@AUTOMAKE@,${SHELL} /android/sandbox/mkf/funpack/strace-4.5.12/missing --run automake-1.9,;t t |
| s,@AUTOHEADER@,${SHELL} /android/sandbox/mkf/funpack/strace-4.5.12/missing --run autoheader,;t t |
| s,@MAKEINFO@,${SHELL} /android/sandbox/mkf/funpack/strace-4.5.12/missing --run makeinfo,;t t |
| s,@install_sh@,/android/sandbox/mkf/funpack/strace-4.5.12/install-sh,;t t |
| s,@STRIP@,,;t t |
| s,@ac_ct_STRIP@,,;t t |
| s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t |
| s,@mkdir_p@,mkdir -p --,;t t |
| s,@AWK@,gawk,;t t |
| s,@SET_MAKE@,,;t t |
| s,@am__leading_dot@,.,;t t |
| s,@AMTAR@,${SHELL} /android/sandbox/mkf/funpack/strace-4.5.12/missing --run tar,;t t |
| s,@am__tar@,${AMTAR} chof - "$$tardir",;t t |
| s,@am__untar@,${AMTAR} xf -,;t t |
| s,@MAINTAINER_MODE_TRUE@,#,;t t |
| s,@MAINTAINER_MODE_FALSE@,,;t t |
| s,@MAINT@,#,;t t |
| s,@build@,arm-unknown-linux-gnu,;t t |
| s,@build_cpu@,arm,;t t |
| s,@build_vendor@,unknown,;t t |
| s,@build_os@,linux-gnu,;t t |
| s,@host@,arm-unknown-linux-gnu,;t t |
| s,@host_cpu@,arm,;t t |
| s,@host_vendor@,unknown,;t t |
| s,@host_os@,linux-gnu,;t t |
| s,@opsys@,linux,;t t |
| s,@arch@,arm,;t t |
| s,@LINUX_TRUE@,,;t t |
| s,@LINUX_FALSE@,#,;t t |
| s,@I386_TRUE@,#,;t t |
| s,@I386_FALSE@,,;t t |
| s,@X86_64_TRUE@,#,;t t |
| s,@X86_64_FALSE@,,;t t |
| s,@SUNOS4_TRUE@,#,;t t |
| s,@SUNOS4_FALSE@,,;t t |
| s,@SVR4_TRUE@,#,;t t |
| s,@SVR4_FALSE@,,;t t |
| s,@FREEBSD_TRUE@,#,;t t |
| s,@FREEBSD_FALSE@,,;t t |
| s,@CC@,gcc,;t t |
| s,@CFLAGS@,-I/android/device/system/kernel_headers/,;t t |
| s,@LDFLAGS@,,;t t |
| s,@CPPFLAGS@,,;t t |
| s,@ac_ct_CC@,gcc,;t t |
| s,@EXEEXT@,,;t t |
| s,@OBJEXT@,o,;t t |
| s,@DEPDIR@,.deps,;t t |
| s,@am__include@,include,;t t |
| s,@am__quote@,,;t t |
| s,@AMDEP_TRUE@,,;t t |
| s,@AMDEP_FALSE@,#,;t t |
| s,@AMDEPBACKSLASH@,\,;t t |
| s,@CCDEPMODE@,depmode=gcc3,;t t |
| s,@am__fastdepCC_TRUE@,,;t t |
| s,@am__fastdepCC_FALSE@,#,;t t |
| s,@WARNFLAGS@,-Wall,;t t |
| s,@CPP@,gcc -E,;t t |
| s,@EGREP@,grep -E,;t t |
| s,@PERL@,/usr/bin/perl,;t t |
| s,@LIBOBJS@,,;t t |
| s,@LTLIBOBJS@,,;t t |
| CEOF |
| |
| # Split the substitutions into bite-sized pieces for seds with |
| # small command number limits, like on Digital OSF/1 and HP-UX. |
| ac_max_sed_lines=48 |
| ac_sed_frag=1 # Number of current file. |
| ac_beg=1 # First line for current file. |
| ac_end=$ac_max_sed_lines # Line after last line for current file. |
| ac_more_lines=: |
| ac_sed_cmds= |
| while $ac_more_lines; do |
| if test $ac_beg -gt 1; then |
| sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag |
| else |
| sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag |
| fi |
| if test ! -s $tmp/subs.frag; then |
| ac_more_lines=false |
| else |
| # The purpose of the label and of the branching condition is to |
| # speed up the sed processing (if there are no `@' at all, there |
| # is no need to browse any of the substitutions). |
| # These are the two extra sed commands mentioned above. |
| (echo ':t |
| /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed |
| if test -z "$ac_sed_cmds"; then |
| ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed" |
| else |
| ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed" |
| fi |
| ac_sed_frag=`expr $ac_sed_frag + 1` |
| ac_beg=$ac_end |
| ac_end=`expr $ac_end + $ac_max_sed_lines` |
| fi |
| done |
| if test -z "$ac_sed_cmds"; then |
| ac_sed_cmds=cat |
| fi |
| fi # test -n "$CONFIG_FILES" |
| |
| for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue |
| # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in". |
| case $ac_file in |
| - | *:- | *:-:* ) # input from stdin |
| cat >$tmp/stdin |
| ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'` |
| ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;; |
| *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'` |
| ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;; |
| * ) ac_file_in=$ac_file.in ;; |
| esac |
| |
| # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories. |
| ac_dir=`(dirname "$ac_file") 2>/dev/null || |
| $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \ |
| X"$ac_file" : 'X\(//\)[^/]' \| \ |
| X"$ac_file" : 'X\(//\)$' \| \ |
| X"$ac_file" : 'X\(/\)' \| \ |
| . : '\(.\)' 2>/dev/null || |
| echo X"$ac_file" | |
| sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; } |
| /^X\(\/\/\)[^/].*/{ s//\1/; q; } |
| /^X\(\/\/\)$/{ s//\1/; q; } |
| /^X\(\/\).*/{ s//\1/; q; } |
| s/.*/./; q'` |
| { if $as_mkdir_p; then |
| mkdir -p "$ac_dir" |
| else |
| as_dir="$ac_dir" |
| as_dirs= |
| while test ! -d "$as_dir"; do |
| as_dirs="$as_dir $as_dirs" |
| as_dir=`(dirname "$as_dir") 2>/dev/null || |
| $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \ |
| X"$as_dir" : 'X\(//\)[^/]' \| \ |
| X"$as_dir" : 'X\(//\)$' \| \ |
| X"$as_dir" : 'X\(/\)' \| \ |
| . : '\(.\)' 2>/dev/null || |
| echo X"$as_dir" | |
| sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; } |
| /^X\(\/\/\)[^/].*/{ s//\1/; q; } |
| /^X\(\/\/\)$/{ s//\1/; q; } |
| /^X\(\/\).*/{ s//\1/; q; } |
| s/.*/./; q'` |
| done |
| test ! -n "$as_dirs" || mkdir $as_dirs |
| fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5 |
| echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;} |
| { (exit 1); exit 1; }; }; } |
| |
| ac_builddir=. |
| |
| if test "$ac_dir" != .; then |
| ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'` |
| # A "../" for each directory in $ac_dir_suffix. |
| ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'` |
| else |
| ac_dir_suffix= ac_top_builddir= |
| fi |
| |
| case $srcdir in |
| .) # No --srcdir option. We are building in place. |
| ac_srcdir=. |
| if test -z "$ac_top_builddir"; then |
| ac_top_srcdir=. |
| else |
| ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'` |
| fi ;; |
| [\\/]* | ?:[\\/]* ) # Absolute path. |
| ac_srcdir=$srcdir$ac_dir_suffix; |
| ac_top_srcdir=$srcdir ;; |
| *) # Relative path. |
| ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix |
| ac_top_srcdir=$ac_top_builddir$srcdir ;; |
| esac |
| |
| # Do not use `cd foo && pwd` to compute absolute paths, because |
| # the directories may not exist. |
| case `pwd` in |
| .) ac_abs_builddir="$ac_dir";; |
| *) |
| case "$ac_dir" in |
| .) ac_abs_builddir=`pwd`;; |
| [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";; |
| *) ac_abs_builddir=`pwd`/"$ac_dir";; |
| esac;; |
| esac |
| case $ac_abs_builddir in |
| .) ac_abs_top_builddir=${ac_top_builddir}.;; |
| *) |
| case ${ac_top_builddir}. in |
| .) ac_abs_top_builddir=$ac_abs_builddir;; |
| [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;; |
| *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;; |
| esac;; |
| esac |
| case $ac_abs_builddir in |
| .) ac_abs_srcdir=$ac_srcdir;; |
| *) |
| case $ac_srcdir in |
| .) ac_abs_srcdir=$ac_abs_builddir;; |
| [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;; |
| *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;; |
| esac;; |
| esac |
| case $ac_abs_builddir in |
| .) ac_abs_top_srcdir=$ac_top_srcdir;; |
| *) |
| case $ac_top_srcdir in |
| .) ac_abs_top_srcdir=$ac_abs_builddir;; |
| [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;; |
| *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;; |
| esac;; |
| esac |
| |
| |
| case $INSTALL in |
| [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;; |
| *) ac_INSTALL=$ac_top_builddir$INSTALL ;; |
| esac |
| |
| if test x"$ac_file" != x-; then |
| { echo "$as_me:$LINENO: creating $ac_file" >&5 |
| echo "$as_me: creating $ac_file" >&6;} |
| rm -f "$ac_file" |
| fi |
| # Let's still pretend it is `configure' which instantiates (i.e., don't |
| # use $as_me), people would be surprised to read: |
| # /* config.h. Generated by config.status. */ |
| if test x"$ac_file" = x-; then |
| configure_input= |
| else |
| configure_input="$ac_file. " |
| fi |
| configure_input=$configure_input"Generated from `echo $ac_file_in | |
| sed 's,.*/,,'` by configure." |
| |
| # First look for the input files in the build tree, otherwise in the |
| # src tree. |
| ac_file_inputs=`IFS=: |
| for f in $ac_file_in; do |
| case $f in |
| -) echo $tmp/stdin ;; |
| [\\/$]*) |
| # Absolute (can't be DOS-style, as IFS=:) |
| test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5 |
| echo "$as_me: error: cannot find input file: $f" >&2;} |
| { (exit 1); exit 1; }; } |
| echo "$f";; |
| *) # Relative |
| if test -f "$f"; then |
| # Build tree |
| echo "$f" |
| elif test -f "$srcdir/$f"; then |
| # Source tree |
| echo "$srcdir/$f" |
| else |
| # /dev/null tree |
| { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5 |
| echo "$as_me: error: cannot find input file: $f" >&2;} |
| { (exit 1); exit 1; }; } |
| fi;; |
| esac |
| done` || { (exit 1); exit 1; } |
| sed "/^[ ]*VPATH[ ]*=/{ |
| s/:*\$(srcdir):*/:/; |
| s/:*\${srcdir}:*/:/; |
| s/:*@srcdir@:*/:/; |
| s/^\([^=]*=[ ]*\):*/\1/; |
| s/:*$//; |
| s/^[^=]*=[ ]*$//; |
| } |
| |
| :t |
| /@[a-zA-Z_][a-zA-Z_0-9]*@/!b |
| s,@configure_input@,$configure_input,;t t |
| s,@srcdir@,$ac_srcdir,;t t |
| s,@abs_srcdir@,$ac_abs_srcdir,;t t |
| s,@top_srcdir@,$ac_top_srcdir,;t t |
| s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t |
| s,@builddir@,$ac_builddir,;t t |
| s,@abs_builddir@,$ac_abs_builddir,;t t |
| s,@top_builddir@,$ac_top_builddir,;t t |
| s,@abs_top_builddir@,$ac_abs_top_builddir,;t t |
| s,@INSTALL@,$ac_INSTALL,;t t |
| " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out |
| rm -f $tmp/stdin |
| if test x"$ac_file" != x-; then |
| mv $tmp/out $ac_file |
| else |
| cat $tmp/out |
| rm -f $tmp/out |
| fi |
| |
| done |
| |
| # |
| # CONFIG_HEADER section. |
| # |
| |
| # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where |
| # NAME is the cpp macro being defined and VALUE is the value it is being given. |
| # |
| # ac_d sets the value in "#define NAME VALUE" lines. |
| ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)' |
| ac_dB='[ ].*$,\1#\2' |
| ac_dC=' ' |
| ac_dD=',;t' |
| # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE". |
| ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)' |
| ac_uB='$,\1#\2define\3' |
| ac_uC=' ' |
| ac_uD=',;t' |
| |
| for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue |
| # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in". |
| case $ac_file in |
| - | *:- | *:-:* ) # input from stdin |
| cat >$tmp/stdin |
| ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'` |
| ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;; |
| *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'` |
| ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;; |
| * ) ac_file_in=$ac_file.in ;; |
| esac |
| |
| test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5 |
| echo "$as_me: creating $ac_file" >&6;} |
| |
| # First look for the input files in the build tree, otherwise in the |
| # src tree. |
| ac_file_inputs=`IFS=: |
| for f in $ac_file_in; do |
| case $f in |
| -) echo $tmp/stdin ;; |
| [\\/$]*) |
| # Absolute (can't be DOS-style, as IFS=:) |
| test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5 |
| echo "$as_me: error: cannot find input file: $f" >&2;} |
| { (exit 1); exit 1; }; } |
| # Do quote $f, to prevent DOS paths from being IFS'd. |
| echo "$f";; |
| *) # Relative |
| if test -f "$f"; then |
| # Build tree |
| echo "$f" |
| elif test -f "$srcdir/$f"; then |
| # Source tree |
| echo "$srcdir/$f" |
| else |
| # /dev/null tree |
| { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5 |
| echo "$as_me: error: cannot find input file: $f" >&2;} |
| { (exit 1); exit 1; }; } |
| fi;; |
| esac |
| done` || { (exit 1); exit 1; } |
| # Remove the trailing spaces. |
| sed 's/[ ]*$//' $ac_file_inputs >$tmp/in |
| |
| # Handle all the #define templates only if necessary. |
| if grep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then |
| # If there are no defines, we may have an empty if/fi |
| : |
| cat >$tmp/defines.sed <<CEOF |
| /^[ ]*#[ ]*define/!b |
| t clr |
| : clr |
| ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}"strace"${ac_dD} |
| ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}"strace"${ac_dD} |
| ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}"4.5.12"${ac_dD} |
| ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}"strace 4.5.12"${ac_dD} |
| ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD} |
| ${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"strace"${ac_dD} |
| ${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"4.5.12"${ac_dD} |
| ${ac_dA}LINUX${ac_dB}LINUX${ac_dC}1${ac_dD} |
| ${ac_dA}ARM${ac_dB}ARM${ac_dC}1${ac_dD} |
| ${ac_dA}_GNU_SOURCE${ac_dB}_GNU_SOURCE${ac_dC}1${ac_dD} |
| ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_DIRENT_H${ac_dB}HAVE_DIRENT_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_STRUCT_STAT_ST_BLKSIZE${ac_dB}HAVE_STRUCT_STAT_ST_BLKSIZE${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_STRUCT_STAT_ST_BLOCKS${ac_dB}HAVE_STRUCT_STAT_ST_BLOCKS${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_STRUCT_STAT_ST_RDEV${ac_dB}HAVE_STRUCT_STAT_ST_RDEV${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_STAT64${ac_dB}HAVE_STAT64${ac_dC}1${ac_dD} |
| ${ac_dA}RETSIGTYPE${ac_dB}RETSIGTYPE${ac_dC}void${ac_dD} |
| ${ac_dA}GETGROUPS_T${ac_dB}GETGROUPS_T${ac_dC}gid_t${ac_dD} |
| ${ac_dA}HAVE_SIG_ATOMIC_T${ac_dB}HAVE_SIG_ATOMIC_T${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_SIGINFO_T${ac_dB}HAVE_SIGINFO_T${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_STRUCT_SOCKADDR_IN6_SIN6_SCOPE_ID${ac_dB}HAVE_STRUCT_SOCKADDR_IN6_SIN6_SCOPE_ID${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_LONG_LONG${ac_dB}HAVE_LONG_LONG${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_LITTLE_ENDIAN_LONG_LONG${ac_dB}HAVE_LITTLE_ENDIAN_LONG_LONG${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_SIGACTION${ac_dB}HAVE_SIGACTION${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_STRERROR${ac_dB}HAVE_STRERROR${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_STRSIGNAL${ac_dB}HAVE_STRSIGNAL${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_PREAD${ac_dB}HAVE_PREAD${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_SYS_SIGLIST${ac_dB}HAVE_SYS_SIGLIST${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE__SYS_SIGLIST${ac_dB}HAVE__SYS_SIGLIST${ac_dC}1${ac_dD} |
| CEOF |
| sed -f $tmp/defines.sed $tmp/in >$tmp/out |
| rm -f $tmp/in |
| mv $tmp/out $tmp/in |
| |
| cat >$tmp/defines.sed <<CEOF |
| /^[ ]*#[ ]*define/!b |
| t clr |
| : clr |
| ${ac_dA}HAVE_PRCTL${ac_dB}HAVE_PRCTL${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_SENDMSG${ac_dB}HAVE_SENDMSG${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_INET_NTOP${ac_dB}HAVE_INET_NTOP${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_IF_INDEXTONAME${ac_dB}HAVE_IF_INDEXTONAME${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_SYS_REG_H${ac_dB}HAVE_SYS_REG_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_STROPTS_H${ac_dB}HAVE_STROPTS_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_SYS_IOCTL_H${ac_dB}HAVE_SYS_IOCTL_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_SYS_PTRACE_H${ac_dB}HAVE_SYS_PTRACE_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_TERMIO_H${ac_dB}HAVE_TERMIO_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_LINUX_PTRACE_H${ac_dB}HAVE_LINUX_PTRACE_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_SYS_UIO_H${ac_dB}HAVE_SYS_UIO_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_POLL_H${ac_dB}HAVE_POLL_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_SYS_POLL_H${ac_dB}HAVE_SYS_POLL_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_SYS_VFS_H${ac_dB}HAVE_SYS_VFS_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_LINUX_UTSNAME_H${ac_dB}HAVE_LINUX_UTSNAME_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_MQUEUE_H${ac_dB}HAVE_MQUEUE_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_SYS_EPOLL_H${ac_dB}HAVE_SYS_EPOLL_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_LINUX_ICMP_H${ac_dB}HAVE_LINUX_ICMP_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_LINUX_IN6_H${ac_dB}HAVE_LINUX_IN6_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_LINUX_NETLINK_H${ac_dB}HAVE_LINUX_NETLINK_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_LINUX_IF_PACKET_H${ac_dB}HAVE_LINUX_IF_PACKET_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_ASM_SIGCONTEXT_H${ac_dB}HAVE_ASM_SIGCONTEXT_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_NETINET_TCP_H${ac_dB}HAVE_NETINET_TCP_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_NETINET_UDP_H${ac_dB}HAVE_NETINET_UDP_H${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_STRUCT_MSGHDR_MSG_CONTROL${ac_dB}HAVE_STRUCT_MSGHDR_MSG_CONTROL${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_STRUCT___OLD_KERNEL_STAT${ac_dB}HAVE_STRUCT___OLD_KERNEL_STAT${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_STRUCT_USER_DESC${ac_dB}HAVE_STRUCT_USER_DESC${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_DECL_SYS_ERRLIST${ac_dB}HAVE_DECL_SYS_ERRLIST${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_DECL_SYS_SIGLIST${ac_dB}HAVE_DECL_SYS_SIGLIST${ac_dC}1${ac_dD} |
| ${ac_dA}HAVE_DECL__SYS_SIGLIST${ac_dB}HAVE_DECL__SYS_SIGLIST${ac_dC}1${ac_dD} |
| CEOF |
| sed -f $tmp/defines.sed $tmp/in >$tmp/out |
| rm -f $tmp/in |
| mv $tmp/out $tmp/in |
| |
| fi # grep |
| |
| # Handle all the #undef templates |
| cat >$tmp/undefs.sed <<CEOF |
| /^[ ]*#[ ]*undef/!b |
| t clr |
| : clr |
| ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}"strace"${ac_uD} |
| ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}"strace"${ac_uD} |
| ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}"4.5.12"${ac_uD} |
| ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}"strace 4.5.12"${ac_uD} |
| ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD} |
| ${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"strace"${ac_uD} |
| ${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"4.5.12"${ac_uD} |
| ${ac_uA}LINUX${ac_uB}LINUX${ac_uC}1${ac_uD} |
| ${ac_uA}ARM${ac_uB}ARM${ac_uC}1${ac_uD} |
| ${ac_uA}_GNU_SOURCE${ac_uB}_GNU_SOURCE${ac_uC}1${ac_uD} |
| ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_DIRENT_H${ac_uB}HAVE_DIRENT_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_STRUCT_STAT_ST_BLKSIZE${ac_uB}HAVE_STRUCT_STAT_ST_BLKSIZE${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_STRUCT_STAT_ST_BLOCKS${ac_uB}HAVE_STRUCT_STAT_ST_BLOCKS${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_STRUCT_STAT_ST_RDEV${ac_uB}HAVE_STRUCT_STAT_ST_RDEV${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_STAT64${ac_uB}HAVE_STAT64${ac_uC}1${ac_uD} |
| ${ac_uA}RETSIGTYPE${ac_uB}RETSIGTYPE${ac_uC}void${ac_uD} |
| ${ac_uA}GETGROUPS_T${ac_uB}GETGROUPS_T${ac_uC}gid_t${ac_uD} |
| ${ac_uA}HAVE_SIG_ATOMIC_T${ac_uB}HAVE_SIG_ATOMIC_T${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_SIGINFO_T${ac_uB}HAVE_SIGINFO_T${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_STRUCT_SOCKADDR_IN6_SIN6_SCOPE_ID${ac_uB}HAVE_STRUCT_SOCKADDR_IN6_SIN6_SCOPE_ID${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_LONG_LONG${ac_uB}HAVE_LONG_LONG${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_LITTLE_ENDIAN_LONG_LONG${ac_uB}HAVE_LITTLE_ENDIAN_LONG_LONG${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_SIGACTION${ac_uB}HAVE_SIGACTION${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_STRERROR${ac_uB}HAVE_STRERROR${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_STRSIGNAL${ac_uB}HAVE_STRSIGNAL${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_PREAD${ac_uB}HAVE_PREAD${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_SYS_SIGLIST${ac_uB}HAVE_SYS_SIGLIST${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE__SYS_SIGLIST${ac_uB}HAVE__SYS_SIGLIST${ac_uC}1${ac_uD} |
| CEOF |
| sed -f $tmp/undefs.sed $tmp/in >$tmp/out |
| rm -f $tmp/in |
| mv $tmp/out $tmp/in |
| |
| cat >$tmp/undefs.sed <<CEOF |
| /^[ ]*#[ ]*undef/!b |
| t clr |
| : clr |
| ${ac_uA}HAVE_PRCTL${ac_uB}HAVE_PRCTL${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_SENDMSG${ac_uB}HAVE_SENDMSG${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_INET_NTOP${ac_uB}HAVE_INET_NTOP${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_IF_INDEXTONAME${ac_uB}HAVE_IF_INDEXTONAME${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_SYS_REG_H${ac_uB}HAVE_SYS_REG_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_STROPTS_H${ac_uB}HAVE_STROPTS_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_SYS_IOCTL_H${ac_uB}HAVE_SYS_IOCTL_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_SYS_PTRACE_H${ac_uB}HAVE_SYS_PTRACE_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_TERMIO_H${ac_uB}HAVE_TERMIO_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_LINUX_PTRACE_H${ac_uB}HAVE_LINUX_PTRACE_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_SYS_UIO_H${ac_uB}HAVE_SYS_UIO_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_POLL_H${ac_uB}HAVE_POLL_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_SYS_POLL_H${ac_uB}HAVE_SYS_POLL_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_SYS_VFS_H${ac_uB}HAVE_SYS_VFS_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_LINUX_UTSNAME_H${ac_uB}HAVE_LINUX_UTSNAME_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_MQUEUE_H${ac_uB}HAVE_MQUEUE_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_SYS_EPOLL_H${ac_uB}HAVE_SYS_EPOLL_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_LINUX_ICMP_H${ac_uB}HAVE_LINUX_ICMP_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_LINUX_IN6_H${ac_uB}HAVE_LINUX_IN6_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_LINUX_NETLINK_H${ac_uB}HAVE_LINUX_NETLINK_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_LINUX_IF_PACKET_H${ac_uB}HAVE_LINUX_IF_PACKET_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_ASM_SIGCONTEXT_H${ac_uB}HAVE_ASM_SIGCONTEXT_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_NETINET_TCP_H${ac_uB}HAVE_NETINET_TCP_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_NETINET_UDP_H${ac_uB}HAVE_NETINET_UDP_H${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_STRUCT_MSGHDR_MSG_CONTROL${ac_uB}HAVE_STRUCT_MSGHDR_MSG_CONTROL${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_STRUCT___OLD_KERNEL_STAT${ac_uB}HAVE_STRUCT___OLD_KERNEL_STAT${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_STRUCT_USER_DESC${ac_uB}HAVE_STRUCT_USER_DESC${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_DECL_SYS_ERRLIST${ac_uB}HAVE_DECL_SYS_ERRLIST${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_DECL_SYS_SIGLIST${ac_uB}HAVE_DECL_SYS_SIGLIST${ac_uC}1${ac_uD} |
| ${ac_uA}HAVE_DECL__SYS_SIGLIST${ac_uB}HAVE_DECL__SYS_SIGLIST${ac_uC}1${ac_uD} |
| s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */, |
| CEOF |
| sed -f $tmp/undefs.sed $tmp/in >$tmp/out |
| rm -f $tmp/in |
| mv $tmp/out $tmp/in |
| |
| # Let's still pretend it is `configure' which instantiates (i.e., don't |
| # use $as_me), people would be surprised to read: |
| # /* config.h. Generated by config.status. */ |
| if test x"$ac_file" = x-; then |
| echo "/* Generated by configure. */" >$tmp/config.h |
| else |
| echo "/* $ac_file. Generated by configure. */" >$tmp/config.h |
| fi |
| cat $tmp/in >>$tmp/config.h |
| rm -f $tmp/in |
| if test x"$ac_file" != x-; then |
| if diff $ac_file $tmp/config.h >/dev/null 2>&1; then |
| { echo "$as_me:$LINENO: $ac_file is unchanged" >&5 |
| echo "$as_me: $ac_file is unchanged" >&6;} |
| else |
| ac_dir=`(dirname "$ac_file") 2>/dev/null || |
| $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \ |
| X"$ac_file" : 'X\(//\)[^/]' \| \ |
| X"$ac_file" : 'X\(//\)$' \| \ |
| X"$ac_file" : 'X\(/\)' \| \ |
| . : '\(.\)' 2>/dev/null || |
| echo X"$ac_file" | |
| sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; } |
| /^X\(\/\/\)[^/].*/{ s//\1/; q; } |
| /^X\(\/\/\)$/{ s//\1/; q; } |
| /^X\(\/\).*/{ s//\1/; q; } |
| s/.*/./; q'` |
| { if $as_mkdir_p; then |
| mkdir -p "$ac_dir" |
| else |
| as_dir="$ac_dir" |
| as_dirs= |
| while test ! -d "$as_dir"; do |
| as_dirs="$as_dir $as_dirs" |
| as_dir=`(dirname "$as_dir") 2>/dev/null || |
| $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \ |
| X"$as_dir" : 'X\(//\)[^/]' \| \ |
| X"$as_dir" : 'X\(//\)$' \| \ |
| X"$as_dir" : 'X\(/\)' \| \ |
| . : '\(.\)' 2>/dev/null || |
| echo X"$as_dir" | |
| sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; } |
| /^X\(\/\/\)[^/].*/{ s//\1/; q; } |
| /^X\(\/\/\)$/{ s//\1/; q; } |
| /^X\(\/\).*/{ s//\1/; q; } |
| s/.*/./; q'` |
| done |
| test ! -n "$as_dirs" || mkdir $as_dirs |
| fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5 |
| echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;} |
| { (exit 1); exit 1; }; }; } |
| |
| rm -f $ac_file |
| mv $tmp/config.h $ac_file |
| fi |
| else |
| cat $tmp/config.h |
| rm -f $tmp/config.h |
| fi |
| # Compute $ac_file's index in $config_headers. |
| _am_stamp_count=1 |
| for _am_header in $config_headers :; do |
| case $_am_header in |
| $ac_file | $ac_file:* ) |
| break ;; |
| * ) |
| _am_stamp_count=`expr $_am_stamp_count + 1` ;; |
| esac |
| done |
| echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null || |
| $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \ |
| X$ac_file : 'X\(//\)[^/]' \| \ |
| X$ac_file : 'X\(//\)$' \| \ |
| X$ac_file : 'X\(/\)' \| \ |
| . : '\(.\)' 2>/dev/null || |
| echo X$ac_file | |
| sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; } |
| /^X\(\/\/\)[^/].*/{ s//\1/; q; } |
| /^X\(\/\/\)$/{ s//\1/; q; } |
| /^X\(\/\).*/{ s//\1/; q; } |
| s/.*/./; q'`/stamp-h$_am_stamp_count |
| done |
| |
| # |
| # CONFIG_COMMANDS section. |
| # |
| for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue |
| ac_dest=`echo "$ac_file" | sed 's,:.*,,'` |
| ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'` |
| ac_dir=`(dirname "$ac_dest") 2>/dev/null || |
| $as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \ |
| X"$ac_dest" : 'X\(//\)[^/]' \| \ |
| X"$ac_dest" : 'X\(//\)$' \| \ |
| X"$ac_dest" : 'X\(/\)' \| \ |
| . : '\(.\)' 2>/dev/null || |
| echo X"$ac_dest" | |
| sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; } |
| /^X\(\/\/\)[^/].*/{ s//\1/; q; } |
| /^X\(\/\/\)$/{ s//\1/; q; } |
| /^X\(\/\).*/{ s//\1/; q; } |
| s/.*/./; q'` |
| { if $as_mkdir_p; then |
| mkdir -p "$ac_dir" |
| else |
| as_dir="$ac_dir" |
| as_dirs= |
| while test ! -d "$as_dir"; do |
| as_dirs="$as_dir $as_dirs" |
| as_dir=`(dirname "$as_dir") 2>/dev/null || |
| $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \ |
| X"$as_dir" : 'X\(//\)[^/]' \| \ |
| X"$as_dir" : 'X\(//\)$' \| \ |
| X"$as_dir" : 'X\(/\)' \| \ |
| . : '\(.\)' 2>/dev/null || |
| echo X"$as_dir" | |
| sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; } |
| /^X\(\/\/\)[^/].*/{ s//\1/; q; } |
| /^X\(\/\/\)$/{ s//\1/; q; } |
| /^X\(\/\).*/{ s//\1/; q; } |
| s/.*/./; q'` |
| done |
| test ! -n "$as_dirs" || mkdir $as_dirs |
| fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5 |
| echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;} |
| { (exit 1); exit 1; }; }; } |
| |
| ac_builddir=. |
| |
| if test "$ac_dir" != .; then |
| ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'` |
| # A "../" for each directory in $ac_dir_suffix. |
| ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'` |
| else |
| ac_dir_suffix= ac_top_builddir= |
| fi |
| |
| case $srcdir in |
| .) # No --srcdir option. We are building in place. |
| ac_srcdir=. |
| if test -z "$ac_top_builddir"; then |
| ac_top_srcdir=. |
| else |
| ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'` |
| fi ;; |
| [\\/]* | ?:[\\/]* ) # Absolute path. |
| ac_srcdir=$srcdir$ac_dir_suffix; |
| ac_top_srcdir=$srcdir ;; |
| *) # Relative path. |
| ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix |
| ac_top_srcdir=$ac_top_builddir$srcdir ;; |
| esac |
| |
| # Do not use `cd foo && pwd` to compute absolute paths, because |
| # the directories may not exist. |
| case `pwd` in |
| .) ac_abs_builddir="$ac_dir";; |
| *) |
| case "$ac_dir" in |
| .) ac_abs_builddir=`pwd`;; |
| [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";; |
| *) ac_abs_builddir=`pwd`/"$ac_dir";; |
| esac;; |
| esac |
| case $ac_abs_builddir in |
| .) ac_abs_top_builddir=${ac_top_builddir}.;; |
| *) |
| case ${ac_top_builddir}. in |
| .) ac_abs_top_builddir=$ac_abs_builddir;; |
| [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;; |
| *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;; |
| esac;; |
| esac |
| case $ac_abs_builddir in |
| .) ac_abs_srcdir=$ac_srcdir;; |
| *) |
| case $ac_srcdir in |
| .) ac_abs_srcdir=$ac_abs_builddir;; |
| [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;; |
| *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;; |
| esac;; |
| esac |
| case $ac_abs_builddir in |
| .) ac_abs_top_srcdir=$ac_top_srcdir;; |
| *) |
| case $ac_top_srcdir in |
| .) ac_abs_top_srcdir=$ac_abs_builddir;; |
| [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;; |
| *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;; |
| esac;; |
| esac |
| |
| |
| { echo "$as_me:$LINENO: executing $ac_dest commands" >&5 |
| echo "$as_me: executing $ac_dest commands" >&6;} |
| case $ac_dest in |
| depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do |
| # Strip MF so we end up with the name of the file. |
| mf=`echo "$mf" | sed -e 's/:.*$//'` |
| # Check whether this is an Automake generated Makefile or not. |
| # We used to match only the files named `Makefile.in', but |
| # some people rename them; so instead we look at the file content. |
| # Grep'ing the first line is not enough: some people post-process |
| # each Makefile.in and add a new line on top of each file to say so. |
| # So let's grep whole file. |
| if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then |
| dirpart=`(dirname "$mf") 2>/dev/null || |
| $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \ |
| X"$mf" : 'X\(//\)[^/]' \| \ |
| X"$mf" : 'X\(//\)$' \| \ |
| X"$mf" : 'X\(/\)' \| \ |
| . : '\(.\)' 2>/dev/null || |
| echo X"$mf" | |
| sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; } |
| /^X\(\/\/\)[^/].*/{ s//\1/; q; } |
| /^X\(\/\/\)$/{ s//\1/; q; } |
| /^X\(\/\).*/{ s//\1/; q; } |
| s/.*/./; q'` |
| else |
| continue |
| fi |
| # Extract the definition of DEPDIR, am__include, and am__quote |
| # from the Makefile without running `make'. |
| DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"` |
| test -z "$DEPDIR" && continue |
| am__include=`sed -n 's/^am__include = //p' < "$mf"` |
| test -z "am__include" && continue |
| am__quote=`sed -n 's/^am__quote = //p' < "$mf"` |
| # When using ansi2knr, U may be empty or an underscore; expand it |
| U=`sed -n 's/^U = //p' < "$mf"` |
| # Find all dependency output files, they are included files with |
| # $(DEPDIR) in their names. We invoke sed twice because it is the |
| # simplest approach to changing $(DEPDIR) to its actual value in the |
| # expansion. |
| for file in `sed -n " |
| s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \ |
| sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do |
| # Make sure the directory exists. |
| test -f "$dirpart/$file" && continue |
| fdir=`(dirname "$file") 2>/dev/null || |
| $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \ |
| X"$file" : 'X\(//\)[^/]' \| \ |
| X"$file" : 'X\(//\)$' \| \ |
| X"$file" : 'X\(/\)' \| \ |
| . : '\(.\)' 2>/dev/null || |
| echo X"$file" | |
| sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; } |
| /^X\(\/\/\)[^/].*/{ s//\1/; q; } |
| /^X\(\/\/\)$/{ s//\1/; q; } |
| /^X\(\/\).*/{ s//\1/; q; } |
| s/.*/./; q'` |
| { if $as_mkdir_p; then |
| mkdir -p $dirpart/$fdir |
| else |
| as_dir=$dirpart/$fdir |
| as_dirs= |
| while test ! -d "$as_dir"; do |
| as_dirs="$as_dir $as_dirs" |
| as_dir=`(dirname "$as_dir") 2>/dev/null || |
| $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \ |
| X"$as_dir" : 'X\(//\)[^/]' \| \ |
| X"$as_dir" : 'X\(//\)$' \| \ |
| X"$as_dir" : 'X\(/\)' \| \ |
| . : '\(.\)' 2>/dev/null || |
| echo X"$as_dir" | |
| sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; } |
| /^X\(\/\/\)[^/].*/{ s//\1/; q; } |
| /^X\(\/\/\)$/{ s//\1/; q; } |
| /^X\(\/\).*/{ s//\1/; q; } |
| s/.*/./; q'` |
| done |
| test ! -n "$as_dirs" || mkdir $as_dirs |
| fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5 |
| echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;} |
| { (exit 1); exit 1; }; }; } |
| |
| # echo "creating $dirpart/$file" |
| echo '# dummy' > "$dirpart/$file" |
| done |
| done |
| ;; |
| esac |
| done |
| |
| { (exit 0); exit 0; } |